!

API recipes

Practical examples for using the Houski API.

Examples

Calculate ROI, cap rate and cash on cash return

Programming language

Select the programming language you want to display the code examples in.

Get investment calculations
Pull ROI, cap rate, and cash-on-cash return for evaluating potential returns.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&cap_rate_sort=desc&city=calgary&country_abbreviation=ca&for_sale_eq=true&page=1&property_type_eq=House&province_abbreviation=ab&results_per_page=3&select=for_sale,cash_on_cash_return,return_on_investment,cap_rate"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('cap_rate_sort', 'desc');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('for_sale_eq', 'true');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'House');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '3');
    url.searchParams.set('select', 'for_sale,cash_on_cash_return,return_on_investment,cap_rate');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 1.2599999904632568,
  "data": [
    {
      "address": "3412 5605 Henwood Street SW",
      "cap_rate": 0.1855950802564621,
      "cash_on_cash_return": 0.5330022573471069,
      "for_sale": true,
      "property_id": "e83d4d23657a58e3",
      "return_on_investment": 2.698723077774048
    },
    {
      "address": "1503 5605 Henwood Street SW",
      "cap_rate": 0.17649000883102417,
      "cash_on_cash_return": 0.4965820014476776,
      "for_sale": true,
      "property_id": "3b7721cf91f6a3a8",
      "return_on_investment": 2.5526785850524902
    },
    {
      "address": "63 6220 17 Avenue SE",
      "cap_rate": 0.11717332154512404,
      "cash_on_cash_return": 0.25931522250175476,
      "for_sale": true,
      "property_id": "4c282adc2beff88e",
      "return_on_investment": 1.601244330406189
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 1030
  },
  "price_quote": false,
  "result_total": 3089,
  "time_ms": 59,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}